3 Replies Latest reply on Aug 24, 2008 2:25 PM by (Mark_Zampogna)

    "Adobe Reader 9.0 cannot be installed on this computer"

    Level 1
      That's the error message I get when I try to install the program from the Adobe Reader Installer.

      I have a Power PC G5 iMac running Mac OS X 10.4.11. I have 2 GB of memory and tons of hard disk space. I upgraded Safari to 3.1.2.

      So I meet all the Mac system requirements.

      Any idea what the problem is?

      Thanks all for taking the time to read this.